package com.ruoyi.ibs.grid.mapper;

import com.ruoyi.ibs.grid.domain.entity.GridUnionCmpmGongsi;
import com.ruoyi.ibs.grid.domain.entity.GridUnionCmpmLingshou;
import com.ruoyi.ibs.grid.domain.entity.GridUnionCustGongsi;
import com.ruoyi.ibs.grid.domain.entity.GridUnionCustLingshou;

import java.util.HashMap;
import java.util.List;

public interface GridUnionCountMapper {
    List<GridUnionCmpmLingshou> selectLsCountList(HashMap<String, Object> paramMap);

    List<GridUnionCmpmGongsi> selectGsCountList(HashMap<String, Object> paramMap);

    List<GridUnionCustLingshou> selectLsCustList(HashMap<String, Object> paramMap);

    List<GridUnionCustGongsi> selectGsCustList(HashMap<String, Object> paramMap);

    List<GridUnionCustLingshou> selectLsCustListLimit(HashMap<String, Object> paramMap);

    List<GridUnionCustGongsi> selectGsCustListLimit(HashMap<String, Object> paramMap);
}
